%define upstream_name	 Devel-ebug
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple, extensible Perl debugger 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Proc::Background)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Koremutake)
BuildRequires: perl(Test::Expect)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl-Proc-Background
BuildRequires: perl-String-Koremutake
BuildRequires: perl-Test-Expect
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-StackTrace
BuildRequires: perl-YAML
BuildRequires: perl-Module-Pluggable
BuildRequires: perl-PadWalker
BuildArch:  noarch

%description
A debugger is a computer program that is used to debug other programs. 
Devel::ebug is a simple, extensible Perl debugger with a clean API. Using 
this module, you may easily write a Perl debugger to debug your programs. 

Alternatively, it comes with an interactive debugger, ebug.
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Devel
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-4.mga3
+ Revision: 365859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.530.0-3.mga3
+ Revision: 314969
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.530.0-2.mga3
+ Revision: 283538
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 254237
- update to 0.53
- fix shebang with new perl 5.16 path

* Mon Dec 12 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 180917
- update to 0.52
- mageia rebuild
- imported package perl-Devel-ebug

